* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Pacifico','Times New Roman', Times, serif;
}

.all-content {
    background-color: #2e1700;
}

/* navbar */
#navbar {
    background-color: #2e1700;
    padding-left: 60px;
    font-weight: bold;
}

#logo {
    font-size: 23px;
    color: rgb(241, 236, 236);
}

#logo img {
    margin-bottom: 15px;
}

.navbar-nav {
    margin-left: 10px;
}

.nav-link {
    color: rgb(248, 246, 246);
    font-weight: bold;
    text-shadow: 1px 1px 1px rgb(8, 0, 0);
    margin-left: 15px;
    transition: 0.5s ease;
}

.nav-link:hover {
    background-color: rgba(161, 109, 14, 1);
    color: white;
    border-radius: 5px;
}

.icons {
    margin-left: 30px;
}

.icons img {
    margin-left: 10px;
    transition: 0.5s ease;
    cursor: pointer;
}

.icons img:hover {
    transform: translateY(-5px);
}

@media screen and (max-width:330px) {
    #logo {
        font-size: 15px;
    }
}

/* navbar end */
/* home section */
.home {
    width: 100%;
    height: 88.5vh;
    display: flex;
    background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(./image/background2.png);
    background-size: cover;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    position: relative;
    z-index: 0;
}

.home .img {
    flex: 1 1 400px;
}

.home .img img {
    width: 100%;
}

.home .content {
    flex: 1 1 400px;
    margin-left: 60px;
}

.content h3 {
    color: white;
    font-size: 60px;
    font-weight: bold;
    text-shadow: 1px 1px 1px black;
}

.content h2 {
    font-size: 60px;
    color: white;
    text-shadow: 1px 1px 1px black;
    font-weight: bold;
}


.content p {
    color: white;
    font-weight: bold;
    text-shadow: 1px 1px 1px black;
}

.content .btn {
    width: 110px;
    height: 38px;
    background-color: #573818;
    color: white;
}

@media screen and (max-width:800px) {
    .content h3 {
        font-size: 50px;
    }
}

@media screen and (max-width:860px) {
    .home {
        height: 120vh;
    }
}

@media screen and (max-width:560px) {
    .home {
        height: 100vh;
    }
}

@media screen and (max-width:330px) {
    .content h2 {
        font-size: 30px;
    }

    .content h3 {
        font-size: 30px;
    }
}

/* home section end */

/* top cards */
#box {
    margin-top: 50px;
}

#box .card {
    box-shadow: 0px 0px 5px black;
    margin-top: 10px;
    transition: 0.5s ease;
    cursor: pointer;
}

#box .card:hover {
    transform: translateY(-10px);
}

/* top cards end */
/* banner */
.banner {
    width: 100%;
    height: 60vh;
    display: flex;
    background-image: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)), url(./image/banner2.png);
    background-size: cover;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    box-shadow: 0px 0px 10px black;
    margin-top: 50px;
}

.banner .img {
    flex: 1 1 400px;
}

.banner .img img {
    width: 100%;
}

.banner .content {
    flex: 1 1 400px;
    margin-left: 60px;
    margin-top: 60px;
}

.banner .content h3 {
    color: rgba(161, 109, 14, 1);
    font-weight: bold;
}

.banner .content h2 {
    font-size: 50px;
    color: rgba(161, 109, 14, 1);
    font-weight: bold;
    text-shadow: 1px 1px 1px black;
}

.banner .content p {
    color: rgba(161, 109, 14, 1);
}

#btnorder button {
    width: 150px;
    height: 32px;
    letter-spacing: 5px;
    background-color: rgba(161, 109, 14, 1);
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.changecontent::after {
    content: ' ';
    color: rgba(161, 109, 14, 1);
    animation: changetext 10s infinite linear;
    font-weight: bold;
}

@keyframes changetext {
    0% {
        content: "Birthday Cake";
    }

    20% {
        content: "Chocolate cake";
    }

    50% {
        content: "Party cake";
    }

    60% {
        content: "Slice cake";
    }

    100% {
        content: "Cup cake";
    }
}

@media screen and (max-width:800px) {
    .banner .content h3 {
        font-size: 50px;
    }
}

@media screen and (max-width:855px) {
    .banner {
        height: 100vh;
    }
}

/* banner end */
/* product cards */
#product-cards h1 {
    text-align: center;
    font-weight: bold;
    margin-top: 50px;
    color: rgb(255, 254, 252);
    text-shadow: 1px 1px 1px black;
    border-bottom: 2px solid rgb(0, 0, 0)
}

#product-cards .card {
    background-color: #2e1700;;
    background-image: linear-gradient(0deg, #2e1700 0%, #2e1700 100%);
    box-shadow: 0 0 3px black;
    border-radius: 5px;
    cursor: pointer;
}



#product-cards h3 {

    color: white;
    text-shadow: 1px 1px 1px black;
}

.star .checked {
    color: yellow;
}

#product-cards p {
    color: #2e1700;
    font-weight: bold;
}

#product-cards h6 {
    font-size: 20px;
    color: #2e1700;
    font-weight: bold;
}

#product-cards h6 span button {
    width: 100px;
    height: 26px;
    font-size: 15px;
    background: transparent;
    letter-spacing: 3px;
    border: 2px solid #573818;
    border-radius: 5px;
    float: right;
    font-weight: bold;
    transition: 0.5s ease;
    cursor: pointer;
}

#product-cards h6 span button:hover {
    background-color: #2e1700;
    color: white;
}

/* product cards end */

/* gallary */
#gallary {
    margin-top: 50px;
}

#gallary h1 {
    text-align: center;
    font-weight: bold;
    margin-top: 50px;
    color: rgba(161, 109, 14, 1);
    text-shadow: 1px 1px 1px black;
    border-bottom: 2px solid rgba(161, 109, 14, 1);
}

#gallary .card {
    box-shadow: 3px 3px 3px black;
    cursor: pointer;
}

#gallary .overlay {
    opacity: 0;
    width: 100%;
    height: 100%;
    color: white;
    text-shadow: 1px 1px 1px black;
}

#gallary .card:hover .overlay {
    opacity: 5;
    margin-top: 0%;
    transition: 0.5s ease;
}

/* gallary */

/* about */
#about {
    margin-top: 50px;
}

#about h1 {
    text-align: center;
    font-weight: bold;
    margin-top: 50px;
    color: rgba(161, 109, 14, 1);
    text-shadow: 1px 1px 1px black;
    border-bottom: 2px solid rgba(161, 109, 14, 1);
}

#about .card {
    background-color: rgba(161, 109, 14, 1);
    box-shadow: 0px 0px 5px black;
}

#about p {
    color: rgba(161, 109, 14, 1);
    text-shadow: 1px 1px 1px black;
    font-weight: bold;
}

#bt button {
    width: 150px;
    height: 32px;
    letter-spacing: 3px;
    background-color: rgba(161, 109, 14, 1);
    color: white;
    border: none;
    cursor: pointer;
}

@media screen and (max-width:1000px) {
    #about p {
        font-size: 10px;
    }
}

@media screen and (max-width:760px) {
    #about p {
        font-size: 20px;
    }
}

/* about */

/* contact */
#contact {
    margin-top: 100px;
}

#contact h1 {
    text-align: center;
    font-weight: bold;
    margin-top: 50px;
    color: rgba(161, 109, 14, 1);
    text-shadow: 1px 1px 1px black;
    border-bottom: 2px solid rgba(161, 109, 14, 1);
}

#contact input {
    background-color: rgba(161, 109, 14, 1);
}

#contact input::placeholder {
    color: white;
}

#contact textarea {
    background-color: rgba(161, 109, 14, 1);
}

#contact textarea::placeholder {
    color: white;
}

#messagebtn {
    text-align: center;
}

#messagebtn button {
    width: 200px;
    height: 30px;
    letter-spacing: 3px;
    font-weight: bold;
    background: transparent;
    border: 2px solid white;
    color: white;
    transition: 0.5s;
    cursor: pointer;
}

#messagebtn button:hover {
    background-color: rgba(161, 109, 14, 1);
}

/* contact */

/* footer */
#footer {
    width: 100%;
    background-color: #573818;
    box-shadow: 0px 0px 5px black;
    margin-top: 100px;
}

#footer h1 {
    color: white;
    padding-top: 30px;
}

#footer p {
    color: white;
}

.icons i {
    background-color: white;
    color: #573818;
    border-radius: 50px;
    padding: 6px;
    font-size: 30px;
    transition: 0.5s;
    cursor: pointer;
}

.icons i:hover {
    background-color: rgba(161, 109, 14, 1);
    color: white;
}

.copyright {
    color: white;
    margin-top: 20px;
}

.credite {
    color: white;
}

/* footer */
html {
    scroll-behavior: smooth;
}

.arrow {
    position: fixed;
    background-color: rgba(161, 109, 14, 1);
    border-radius: 50px;
    height: 50px;
    bottom: 40px;
    right: 50px;
    text-decoration: none;
    text-align: center;
    line-height: 50px;
}

.card{
    background-color: #2e1700;
    background-image: linear-gradient(0deg, #2e1700 0%, #2e1700 100%);
    box-shadow: 0 0 3px black;
    border-radius: 5px;
    cursor: pointer;
    position: relative;
    transform-style: preserve-3d;
    transition: transform 0.6s;
    transition: 0.5s ease;
}

.card-body{
    background-color: #2e1700;
    background-image: linear-gradient(0deg, #2e1700 0%, #2e1700 100%);
    box-shadow: 0 0 3px black;
    border-radius: 5px;
    cursor: pointer;
}

.card.flip {
    transform: rotateY(180deg);
}

.front,
.back {
    width: 100%;
    height: 100%;
    position: absolute;
    backface-visibility: hidden;
    border-radius: 10px;
    overflow: hidden;
}

.front {
    background-color: #fff;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    position: relative;
}

.front img {
    width: 100%;
    height: 100%;
    border-radius: 10px;
}

.overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: opacity 0.3s;
    border-radius: 10px;
}
.card:hover .front{
    transform: translateY(-10px);
}

.card:hover .overlay {
    opacity: 1;
}

.cake-name-overlay {
    color: white;
    font-size: 18px;
    text-align: center;
    padding: 10px;
}

.back {
    background: radial-gradient(circle at center, yellow 0%, orange 100%);
    transform: rotateY(180deg);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 20px;
    opacity: 0;
    transition: opacity 0.6s; 
    background: 0.6s;
}
.card.flip .back {
    opacity: 1;
    animation: glow-fill 0.6s forwards;
  }
@keyframes glow-fill {
    0% {
        background: radial-gradient(circle at center, rgba(255, 255, 0, 0) 0%, rgba(255, 165, 0, 0) 50%, rgba(255, 255, 0, 0) 100%);
    }

    50% {
        background: radial-gradient(circle at center, rgba(255, 255, 0, 0.5) 25%, rgba(255, 165, 0, 0.5) 75%, rgba(255, 255, 0, 0) 100%);
    }

    100% {
        background: radial-gradient(circle at center, yellow 0%, orange 100%);
    }
}

.circle {
    width: 100px;
    height: 100px;
    border-radius: 50%;
    overflow: hidden;
    margin-bottom: 10px;
    position: relative;
    z-index: 1;
}

.circle img {
    width: 100%;
    height: auto;
}

.cake-name {
    font-size: 18px;
    margin: 10px 0;
    position: relative;
    z-index: 0;
}

.cake-rate {
    font-size: 14px;
    color: #888;
    position: relative;
    z-index: 0;
}

.card-img-zoom {
    transition: transform 0.5s ease;
}

.card:hover .card-img-zoom {
    transform: scale(1.2);
}